toolzerhub API Docs

List app reviews

Returns up to count public reviews for package_id, in the selected sort order and locale.

1 credit / requestBilled only on success
GET
/v1/google-play/reviews

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

package_id*string

Android application ID from a Play Store app URL.

Match^[A-Za-z][A-Za-z0-9_]*(?:\.[A-Za-z0-9_]+)+$
count?integer

Number of reviews to return, up to 1,000.

Range1 <= value <= 1000
Default100
sort?string

Review ordering to request.

Default"newest"

Value in

  • "newest"
  • "helpful"
  • "rating"
language?string

Locale used for Play Store text, such as en_US.

Match^[A-Za-z]{2,3}(?:[-_][A-Za-z]{2})?$
Default"en_US"
country?string

Two-letter country code used for Play Store availability.

Match^[A-Za-z]{2}$
Default"US"
curl -X GET "https://example.com/v1/google-play/reviews?package_id=com.spotify.music" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "package_id": "string",    "sort": "newest",    "reviews": [      {        "review_id": "string",        "author": "string",        "avatar_url": "string",        "score": 0,        "text": "string",        "timestamp": 0,        "helpful_count": 0,        "developer_reply": {          "author": "string",          "text": "string",          "timestamp": 0        },        "app_version": "string"      }    ]  }}